Bug 737327 - update pypy to version 1.6
Summary: update pypy to version 1.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pypy
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-11 06:43 UTC by pankaj pandey
Modified: 2011-10-17 06:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 06:47:55 UTC


Attachments (Terms of Use)

Description pankaj pandey 2011-09-11 06:43:04 UTC
Description of problem:
PyPy version 1.6 has been release some time back in August with numerous performance enhancements and preliminary support of numpy too. It'd be cool to have that latest PyPy in the fedora repo

Version-Release number of selected component (if applicable):
pypy-1.5-1.fc15.x86_64

Comment 1 Thomas Spura 2011-09-11 10:18:16 UTC
I'm unsure if that's allowed in according to the updates policy [1].

It would make more sense to add it F16 than in F15...

Dave, what do you think?

[1] https://fedoraproject.org/wiki/Updates_Policy#Philosophy

Comment 2 pankaj pandey 2011-09-11 11:56:32 UTC
\rant It would be really sad if such updates are not permitted as per fedora update policy. It'd be regretful for me having ordered a fedora machine from Emperor Linux. This definitely does not align with the features first ideals. I do have F16 also installed but its broke and wont boot after a some recent update which brought grub2 and kernel3, so thats not of much help either
\end rant

On a side note pypy is probably a leaf package and doesn't require any other package rebuilds and not existing work depending on pypy will break due to the update, so it should be permitted as an update as per the Exceptions policy https://fedoraproject.org/wiki/Updates_Policy#Exceptions

Thanks

Comment 3 Dave Malcolm 2011-09-12 23:41:01 UTC
AIUI, pypy is currently a leaf package: nothing depends on it. I'd like eventually to build out a stack of pypy packages, but this doesn't yet exist in Fedora.

It makes a lot of sense for F16 to have the latest upstream release in place, given that F16 isn't out yet.  Also, anyone currently using my pypy Fedora rpms in F15 is likely to be an "early adopter", and I'd expect them to want 1.6 rather than 1.5.

With that in mind I've fast-forwarded the 1.6 work in "master" (for F17) to the F16 and F15 git branches.

Building pypy-1.6-4.fc16 for f16-candidate
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3346538

Building pypy-1.6-4.fc15 for f15-candidate
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3346540

Comment 4 pankaj pandey 2011-10-17 06:47:55 UTC
Thanks. Its pushed into updates.


Note You need to log in before you can comment on or make changes to this bug.